# frozen_string_literal: true
# Preview all emails at http://localhost:3000/rails/mailers/recruiter_mailer
class RecruiterMailerPreview < ActionMailer::Preview
  def candidate_created
    RecruiterMailer.candidate_created Candidate.find_by(test_hash: 'R67PmfDHGiw') # Martha
  end

  def candidate_submitted
    RecruiterMailer.candidate_submitted Candidate.find_by(test_hash: 'OvP0ZqGKwJ0') # Dawn
  end

  def interview_requested
    RecruiterMailer.interview_requested Candidate.find_by(test_hash: '6NjnourLE6Y') # Richard
  end

  def interview_declined
    RecruiterMailer.interview_declined Candidate.find_by(test_hash: 's6oFExZliYYFx') # Stacy
  end
end
